%bcond_without qt5

%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d
%define	oname	openal-soft

Name:		openal
Summary:	3D Sound Library
Version:	1.21.1
Release:	%mkrel 1
License:	LGPLv2
Group:		Sound
URL:		http://www.openal-soft.org/
Source0:	http://www.openal-soft.org/openal-releases/%{oname}-%{version}.tar.xz

BuildRequires:	cmake
# For the backends
BuildRequires:	lib64alsa2-devel
BuildRequires:	portaudio-devel
BuildRequires:	pulseaudio-devel
# For the examples and config utility
BuildRequires:	ffmpeg-devel
BuildRequires:	lib64sdl2.0-devel
BuildRequires:	lib64sndfile-devel
%if %{with qt5}
BuildRequires:	lib64qt5core-devel
BuildRequires:	lib64qt5gui-devel
BuildRequires:	lib64qt5widgets-devel
%endif
Provides:	%{oname} = %{version}-%{release}

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.


%package -n	%{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.


%package -n	%{devname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.


%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%cmake -DALSOFT_INSTALL_CONFIG=ON \
%ifarch %{ix86}
       -DALSOFT_ENABLE_SSE2_CODEGEN=OFF \
       -DALSOFT_CPUEXT_SSE=OFF \
       -DALSOFT_CPUEXT_SSE2=OFF \
       -DALSOFT_CPUEXT_SSE3=OFF \
       -DALSOFT_CPUEXT_SSE4_1=OFF \
       -DHAVE_MSSE2_SWITCH=OFF \
       -DHAVE_MSSE3_SWITCH=OFF \
       -DHAVE_MSSE3_SWITCH=OFF \
       -DHAVE_MSSE4_1_SWITCH=OFF \
       -DHAVE_MSSE4_1_SWITCH=OFF \
       -DHAVE_SSE_INTRINSICS=OFF \
%endif
       -DSDL_SOUND_INCLUDE_DIR=%{_includir}/SDL2 \
       -DSDL_SOUND_LIBRARY=%{_libdir}/libSDL2_sound.so
%cmake_build

%install
rm -rf %buildroot
%cmake_install

install -D -m 0644 alsoftrc.sample %{buildroot}%{_sysconfdir}/%{name}/alsoft.conf

%files
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_bindir}/alffplay
%{_bindir}/alrecord
%{_bindir}/alhrtf
%{_bindir}/allatency
%{_bindir}/alloopback
%{_bindir}/almultireverb
%{_bindir}/alplay
%{_bindir}/alreverb
%{_bindir}/alstream

%if %{with qt5}
%{_bindir}/alsoft-config
%endif
%{_bindir}/altonegen
%{_bindir}/openal-info
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/alsoftrc.sample
%{_datadir}/%{name}/hrtf/*.mhr
%{_datadir}/%{name}/presets/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/AL
%{_libdir}/cmake/OpenAL/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Mon May 31 2021 tex - 1.21.1-1pclos2021
- new version
